Page MenuHomePhabricator

NDA for superset access request from WMDE employee danshick
Closed, ResolvedPublic

Description

I'd like to sign the NDA to gain access to https://superset.wikimedia.org/ for website analytics purposes.

See similar request from Kris Litson here: https://phabricator.wikimedia.org/T241722

Employee name: Dan Shick
Role: Technical writer (WMDE)
Wikitech username: Dan Shick

@Kris_Litson_WMDE , please approve.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2020, 9:14 AM
Dzahn triaged this task as Medium priority.Jun 4 2020, 9:16 AM
Dzahn added subscribers: Franziska_Heine, KFrancis, Dzahn.

HI @danshick-wmde please work with @KFrancis to get the NDA signed. After that we can continue here on the ticket to add you to the relevant group.

Also, please get an approval from @Franziska_Heine or the relevant manager here on the ticket. Thanks!

Aklapper renamed this task from NDA for superset access request from WMDE employee to NDA for superset access request from WMDE employee danshick.Jun 4 2020, 9:27 AM

@danshick-wmde Hi Dan, Please provide me with the following information:
-Full legal name
-Mailing address
-Email address
-Specifics about the type of sensitive data that will be accessed

Thanks!

Dzahn moved this task from Backlog to Awaiting User Input on the LDAP-Access-Requests board.

Email sent to @KFrancis . Thanks all!

Dzahn reassigned this task from danshick-wmde to KFrancis.Jun 5 2020, 8:55 AM

@Dzahn Update - this request has been sent for signatures. Once it's complete, I'll notify you and you may move forward.

Dzahn added a comment.Wed, Jun 24, 2:55 AM

@KFrancis Thank you for the update! It's possible that someone else will continue this ticket because we have a rotating duty to handle access requests. Either way we will see it though and appreciate the update here on the ticket. Feel free to unassign it from you as well once we can move forward.

Signed. Thank you all!

ema added a subscriber: ema.Wed, Jun 24, 9:22 AM

@KFrancis: let me know when Dan is added to the NDA and MOU spreadsheet so that I can carry on with this request. Thanks!

@ema The NDA/MOU has been added to the spreadsheet. Thanks!

Change 608432 had a related patch set uploaded (by Ssingh; owner: Ssingh):
[operations/puppet@production] admin: add Dan Shick to ldap_only_users group (WMDE)

https://gerrit.wikimedia.org/r/c/operations/puppet/ /608432

Change 608432 merged by Ssingh:
[operations/puppet@production] admin: add Dan Shick to ldap_only_users group (WMDE)

https://gerrit.wikimedia.org/r/c/operations/puppet/ /608432

Mentioned in SAL (#wikimedia-operations) [2020-06-29T17:30:34Z] <sukhe> LDAP - added datn to groups wmde, nda - T254442

ssingh added a subscriber: ssingh.Mon, Jun 29, 5:37 PM

Hi @danshick-wmde:

You have been added to the "wmde" and "nda" groups and should be able to access Superset now.

$ /usr/bin/ldapsearch -x -b "dc=wikimedia,dc=org" -s sub "mail=dan.shick*" | grep -i uid
dn: uid=datn,ou=people,dc=wikimedia,dc=org
uid: datn
uidNumber: 24139

Please let me know if it doesn't work or if there are other issues. Thanks!

ssingh closed this task as Resolved.Mon, Jun 29, 6:49 PM

Marking this as resolved. Please feel free to reopen if there are any issues or questions. Thanks!

ssingh claimed this task.Mon, Jun 29, 6:50 PM
danshick-wmde added a comment.EditedWed, Jul 1, 1:58 PM

Thank you! Could someone let me know what credentials to use for https://turnilo.wikimedia.org/ ? I am able to log into superset (thanks, Kris!) with my shell username and Wikitech password.

Dzahn added a subscriber: Nuria.EditedWed, Jul 1, 2:47 PM

@danshick-wmde (cc: @ssingh @Nuria )

This sounds like it's another case of T252703#6152109 / T252703#6154468

Please try to use "Dan Shick" instead of the shell username and with the same Wikitech password.

(I left a comment on T203132#6271622)

Thank you @Dzahn ! I am often flummoxed by usernames with spaces in 'em, but this worked. Much appreciated --

Dzahn added a comment.Thu, Jul 2, 3:38 PM

Glad it worked, yup :)